
Installer - Refactor #27053

Drop Puppet 3 support from the proxy

06/14/2019 08:39 AM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: Foreman modules   

Target version: 1.23.0   

Difficulty:  Fixed in Releases: 1.23.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-for

eman_proxy/pull/514

  

Description

It's been deprecated and the code doesn't run on Puppet 3 anymore so there's no way to deploy it.

Related issues:

Related to Smart Proxy - Feature #26591: Raise minimum Puppet version to 4.4 Closed

Associated revisions

Revision 9939f88c - 07/15/2019 01:00 PM - Ewoud Kohl van Wijngaarden

Fixes #27053 - Drop Puppet 3 support from the proxy

This drops support for the puppet_proxy_legacy and

puppet_proxy_puppetrun classes. These have been depcated for some time

and there's no way to deploy this anymore given this module is Puppet 4+

for some time.

History

#1 - 06/14/2019 08:40 AM - Ewoud Kohl van Wijngaarden

- Related to Feature #26591: Raise minimum Puppet version to 4.4 added

#2 - 06/14/2019 08:41 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/514 added

#3 - 07/15/2019 01:01 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman_proxy|9939f88c829fa05550161168b6213de6c2566aa8.
